---
- name: "Start gitlab Runners"
  community.docker.docker_container:
    state: started
    name: "gitlab-runner-{{ item }}"
    image: "{{ runner_docker_image }}"
    detach: true
    restart_policy: unless-stopped
  loop: "{{ range(runner_qty) | list }}"
  register: docker_containers

- name: "Register gitlab Runners"
  community.docker.docker_container_exec:
    container: "{{ item.invocation.module_args.name }}"
    command: "gitlab-runner register {{ [
      '--non-interactive',
      '--executor docker',
      '--docker-image ' + cicd_default_docker_image,
      '--url ' + runner_url,
      '--registration-token ' + runner_registration_token ,
      '--tag-list docker,global,dind,' + runner_tags,
      '--run-untagged=true',
      '--docker-privileged',
      '--description \"docker-runner for all projects\"',
      '--locked=false',
      '--access-level=not_protected' ] | join(' ') }}"
  loop: "{{ docker_containers.results | list }}"
  loop_control:
    label: "{{ item.invocation.module_args.name }}"
  notify:
    - restart_runners